require "import"
import "android.widget.*"
import "android.view.*"
import "android.content.Intent"
import "android.net.Uri"

activity.setTitle('URL Opener')

local layout = LinearLayout(activity)
layout.setOrientation(LinearLayout.VERTICAL)

local editText = EditText(activity)
editText.setHint("Enter URL")
layout.addView(editText)

local button = Button(activity)
button.setText("Open")
button.setOnClickListener(View.OnClickListener{
    onClick = function(view)
        local url = editText.getText().toString()
        if string.sub(url, 1, 4) ~= "http" then
            url = "http://" .. url
        end
        local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
        activity.startActivity(intent)
    end})

layout.addView(button)
activity.setContentView(layout)